 // project created on 24.10.2001 at 17:23
using System;
using System.Windows.Forms;



namespace ProgramDraw
{

	
class MainForm : Form
{
	public MainForm()
	{
		Text = "EasyDraw";
		MenuInitial();
		
	}
	
	public static void Main(string[] args)
	{
		Application.Run(new MainForm());
	}
	
	public void MenuInitial()
	{
		MainMenu mnuMenu = new MainMenu();
		MenuItem menuFile = new MenuItem("File");
			MenuItem menuExit = new MenuItem("Exit",new System.EventHandler(this.MenuExit_Click));
		   	menuFile.MenuItems.Add(menuExit);
	    menuEdit = new MenuItem("Edit");
			MenuItem menuDrawLine = new MenuItem("Draw Line",new System.EventHandler(this.MenuDrawLine_Click));
			MenuItem menuDrawPoligon = new MenuItem("Draw Poligon",new System.EventHandler(this.MenuDrawPoligon_Click));
			MenuItem menuDrawPoint = new MenuItem("Draw Point",new System.EventHandler(this.MenuDrawPoint_Click));
			menuEdit.MenuItems.Add(menuDrawLine);
			menuEdit.MenuItems.Add(menuDrawPoligon);
			menuEdit.MenuItems.Add(menuDrawPoint);
		mnuMenu.MenuItems.Add(menuFile);
		mnuMenu.MenuItems.Add(menuEdit);
		this.Menu = mnuMenu;
	}
	

	
	// Выход из программы пункт Exit
	private void MenuExit_Click(Object sender, EventArgs e)
	{
   		Application.Exit();
	} 
	
	// будем рисовать линию
	private void MenuDrawLine_Click(Object sender, EventArgs e)
	{
			menuEdit.Enabled=false;
			testDraw=true;
			Cursor=Cursors.Cross;
		
	}
	
	// будем рисовать полигон
	private void MenuDrawPoligon_Click(Object sender,EventArgs e)
	{
		
menuEdit.Enabled=false;
	testDraw=true;
	Cursor=Cursors.Cross;
	}
	
	// будем рисовать точку
	private void MenuDrawPoint_Click(Object sender,EventArgs e)
	{
menuEdit.Enabled=false;
	testDraw=true;
	Cursor=Cursors.Cross;
	}
	
	// мышка нажата
	protected override void OnMouseDown(MouseEventArgs e) 
    {
    
    }

	// клавиша нажата
	protected override  void OnKeyPress(KeyPressEventArgs e)
	{
		if (testDraw==true) testDraw=false;
		menuEdit.Enabled=true;
		Cursor=Cursors.Default;
	}

	bool testDraw=false;
	MenuItem menuEdit;
}
}
